Subject: Re: Evaluating GForge
From: Tim Perdue <[email-masked]>
To: [email-masked]
Date: Thu, 26 Feb 2004 17:56:20 -0600

Josh Berkus wrote:

> Tim,
> 
> To follow up on the previous question, there are a few features that I'm not 
> seeing in the GForge demo online.   These are all features that our 
> developers will ask about:
> 
> Project home pages:  is there an easy way to create these?
> Mailing list management:  where?
> Web forums: search feature?
> Bug Tracking:  is there the ability to add more characteristics to bugs?  
> Cvsweb:  I notice ties from gforge.org to cvsweb.   Is this something we can
> easily set up?

Josh, someone pointed out the list discussion going on today, and I 
wanted to comment on this, but am not subscribed:

 >  - How will mailing list subscribers be affected?

If you already use mailman, it would be seamless, as GForge does too. It 
would be a matter of entering all the mailman lists into the GForge 
database (probably scriptable, assuming GBORG had any rational naming 
convention).

 >  - How will CVS users be affected?

Same again most likely. GForge uses unix groups & users to control CVS, 
so they would have to be backfilled into the GF database.

 >  - Can the mailing list archives be moved over?

GF uses mailman to archive lists for now (although GF4 has a snazzier 
system)

 >  - Where will my old bug reports and corresponding discussions go?

I may be able to help you migrate your database structure over, assuming 
it is even remotely understandable.

 >  - Can FAQ entries be copied over automatically?
 >  - Is there a way of migrating these services one by one?